Bug 736964 - xfce4-power-manager does not work in current F16
xfce4-power-manager does not work in current F16
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-09 03:59 EDT by Milan Kerslager
Modified: 2011-11-11 22:30 EST (History)
7 users (show)

See Also:
Fixed In Version: xfce4-power-manager-1.0.10-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-11 22:30:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2011-09-09 03:59:31 EDT
I have Xfce, I have up-to-date F16 with xfce4-power-manager-1.0.10-1.fc16.x86_64.

The setting dialog for PWM says that PWM does not run (unable to connect to PWM) even PWM is running. I killed PWM and then:

strace -f -s1024 xfce4-power-manager --sync

ended with:

[pid 22308] write(2, "\nGdk-ERROR **: The program 'xfce4-power-manager' received an X Window System error.\nThis probably reflects a bug in the program.\nThe error was 'BadName (named color or font does not exist)'.\n  (Details: serial 494 error_code 15 request_code 149 minor_code 11)\n  (Note to programmers: normally, X errors are reported asynchronously;\n   that is, you will receive the error a while after causing it.\n   To debug your program, run it with the --sync command line\n   option to change this behavior. You can then get a meaningful\n   backtrace from your debugger if you break on the gdk_x_error() function.)\n", 601) = 601

This bug is present since early F16 Alpha. It worked in F15.
Comment 1 Matthias Runge 2011-09-23 16:05:55 EDT
After installing latest updates, error messages changed:

[mrunge@sofja ~]$ xfce4-power-manager --no-daemon 

(xfce4-power-manager:2650): libnotify-WARNING **: Failed to connect to proxy

(xfce4-power-manager:2650): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode


Gdk-ERROR **: The program 'xfce4-power-manager' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadName (named color or font does not exist)'.
  (Details: serial 301 error_code 15 request_code 149 minor_code 11)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap
Comment 2 Matthias Runge 2011-09-28 17:09:55 EDT
Maybe related, sadly no solution: https://bugzilla.xfce.org/show_bug.cgi?id=7999
Comment 3 Jan Henrik Hasselberg 2011-11-08 14:39:02 EST
Confirmed on i686.
Kernel: 3.1.0-7.fc16.i686
Package: xfce4-power-manager-1.0.10-1.fc16.i686

$ xfce4-power-manager --no-daemon

(xfce4-power-manager:20517): libnotify-WARNING **: Failed to connect to proxy

(xfce4-power-manager:20517): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode


Gdk-ERROR **: The program 'xfce4-power-manager' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadName (named color or font does not exist)'.
  (Details: serial 297 error_code 15 request_code 149 minor_code 11)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap
Comment 4 Danila Beketov 2011-11-10 00:28:46 EST
Confirmed on x86_64, but the error is slightly different.
Kernel: 3.1.0-7.fc16.x86_64
Package: xfce4-power-manager-1.0.10-1.fc16.x86_64

# xfce4-power-manager --no-daemon

(xfce4-power-manager:3082): xfce4-power-manager-WARNING **: Unable to connect to session managet : Failed to connect to the session manager: SESSION_MANAGER environment variable not defined

(xfce4-power-manager:3082): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode


Gdk-ERROR **: The program 'xfce4-power-manager' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadName (named color or font does not exist)'.
  (Details: serial 297 error_code 15 request_code 149 minor_code 11)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap
Comment 5 Danila Beketov 2011-11-10 00:29:44 EST
dmesg output: xfce4-power-man[3082] trap int3 ip:7fef1552a2c3 sp:7fff6ca02df0 error:0
Comment 6 Danila Beketov 2011-11-10 00:39:15 EST
dmesg output: xfce4-power-man[3082] trap int3 ip:7fef1552a2c3 sp:7fff6ca02df0 error:0
Comment 7 Fabien Archambault 2011-11-10 07:41:05 EST
I believe this is linked to the fact that the brightness control applet is crashing on startup. This is very sad...
Comment 8 Fedora Update System 2011-11-10 20:29:27 EST
xfce4-power-manager-1.0.10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xfce4-power-manager-1.0.10-2.fc16
Comment 9 Fedora Update System 2011-11-11 22:30:49 EST
xfce4-power-manager-1.0.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.